<?php

function template_board_attach_above()
{
	global $context, $options, $txt;

	$hide = $context['user']['is_guest'] ? !empty($_COOKIE['board_attach']) : !empty($options['board_attach']);

	echo '
<div id="board_attach_holder">
	<a href="#attach_toggle" onclick="attach_toggle(); return false;" id="attach_toggle">', !empty($hide) ? $txt['ba_show'] : $txt['ba_hide'], '</a>
	<div id="board_attach_content"', !empty($hide) ? ' style="display: none;"' : '', '>
		<table>
			<tr>';

	foreach ($context['recent_attachments'] as $attachment)
	{
		echo '
				<td><a href="', $attachment['topic']['href'], '">', $attachment['file']['image']['thumb'], '</a></td>';
	}

	echo '
			</tr>
		</table>
	</div>
</div>
<script type="text/javascript">
	function attach_toggle()
	{
		var container = document.getElementById(\'board_attach_content\');
		var toggle = document.getElementById(\'attach_toggle\');
		var mode = container.style.display == \'none\' ? 0 : 1;

		if (mode == 0)
		{
			container.style.display = \'\';
			setInnerHTML(toggle, \'', $txt['ba_hide'], '\');
		}
		else
		{
			container.style.display = \'none\';
			setInnerHTML(toggle, \'', $txt['ba_show'], '\');
		}';

	if ($context['user']['is_guest'])
	{
		echo '
		document.cookie = \'board_attach=\' + mode;';
	}
	else
	{
		echo '
		smf_setThemeOption(\'board_attach\', mode, null, "' . $context['session_id'] . '", "' . $context['session_var'] . '");';
	}

	echo '
	}
</script>';
}

function template_board_attach_below()
{
}

?>